=== debian/changelog ===
openfoam (1906.191111+dfsg1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:56 +0100

openfoam (1906.191111+dfsg1-2) unstable; urgency=medium

  * [d64a732] Update d/watch url
  * [e72cfcf] Unset MAKEFLAGS to fix parallel builds (Closes: #945041)

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 19 Dec 2019 22:41:17 -0600

openfoam (1906.191111+dfsg1-1) unstable; urgency=medium

  * [74095ba] Update package homepage
  * [863113f] Update debian/watch pattern
  * [e6f2069] New upstream version 1906.191111+dfsg1

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 13 Nov 2019 12:09:41 -0600
