## openfoam 1912.200626

=== wmake/src/Makefile ===
--- 
+++ 
@@ -5,9 +5,8 @@
 #   \\  /    A nd           | www.openfoam.com
 #    \\/     M anipulation  |
 #------------------------------------------------------------------------------
-#     Released 2004-2011 OpenCFD Ltd.
 #     Copyright (C) 2011-2016 OpenFOAM Foundation
-#     Modified code Copyright (C) 2017-2019 OpenCFD Ltd.
+#     Copyright (C) 2017-2019 OpenCFD Ltd.
 #------------------------------------------------------------------------------
 # License
 #     This file is part of OpenFOAM.
@@ -64,9 +63,12 @@
 # Targets
 #------------------------------------------------------------------------------
 
-.PHONY: all clean message
+.PHONY: all clean message old
 
-all: $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message
+all: $(WMAKE_BIN)/lemon$(EXT_EXE) $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message
+
+# Flex-based processing
+old: $(WMAKE_BIN)/wmkdep$(EXT_EXE)
 
 message:
 ifneq ($(archHost),$(archTarget))
@@ -77,24 +79,29 @@
 
 clean:
 	@echo "clean wmake-bin ($(archTarget))"
-	@rm -rf $(WMAKE_BIN) 2>/dev/null
+	@rm -rf $(WMAKE_BIN)
 	@rmdir $(shell dirname $(WMAKE_BIN)) 2>/dev/null || true
+
+$(WMAKE_BIN)/lemon$(EXT_EXE): lemon.c
+	@mkdir -p $(WMAKE_BIN)
+	$(call QUIET_MESSAGE,lemon,$(<F))
+	$(cc) $(cFLAGS) $(<F) -o $@
 
 $(WMAKE_BIN)/wmkdep$(EXT_EXE): wmkdep.l
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,flex,$(<F))
 	$E flex -o $@.c $(<F) && $(cc) $(cFLAGS) $@.c -o $@
-	@rm -f $@.c 2>/dev/null
+	@rm -f $@.c
 
-$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cpp
+$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cc
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,wmkdepend,$(<F))
-	$E $(CC) $(c++FLAGS) $(c++LESSWARN) $(<F) -o $@
+	$E $(CC) $(c++FLAGS) $(<F) -o $@
 
-# $(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
-# 	@mkdir -p $(WMAKE_BIN)
-# 	$(call QUIET_MESSAGE,ragel,$(<F))
-# 	$E ragel -G2 -o $@.cpp $(<F) && $(CC) $(c++FLAGS) $(c++LESSWARN) $@.cpp -o $@
-# 	@rm -f $@.cpp 2>/dev/null
+#$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
+#	@mkdir -p $(WMAKE_BIN)
+#	$(call QUIET_MESSAGE,ragel,$(<F))
+#	$E ragel -G2 -o $@.cc $(<F) && $(CC) $(c++FLAGS) $@.cc -o $@
+#	@rm -f $@.cc
 
 #------------------------------------------------------------------------------
