=== debian/changelog ===
openfoam (1912.200626-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:24:01 +0000

openfoam (1912.200626-2build2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:32:00 +0000

openfoam (1912.200626-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:29 +0100

openfoam (1912.200626-2) unstable; urgency=medium

  * Team upload.
  * d/patches/gcc-13.patch: cherry-picked from upstream to fix ftbfs
    with GCC-13. Closes: #1037803
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 15 Aug 2023 13:05:42 +0200

openfoam (1912.200626-1) unstable; urgency=medium

  * [584a7e2] New upstream version 1912.200626
  * [f23d691] Refresh hardening patch
  * [c4b478b] Remove unneeded Files-Excluded; prebuilt PDF gone

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 11 Feb 2021 14:50:01 -0600
