=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: openfoam
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Kurt Kremitzki <kurt@kwk.systems>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
 Section: science
 Priority: optional
 Build-Depends: bison,
                cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                flex,
                gawk,
                libreadline-dev,
@@ -18,10 +19,11 @@
                libfftw3-dev,
                libptscotch-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/openfoam
 Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
-Homepage: http://openfoam.com
+Homepage: https://openfoam.com
+Rules-Requires-Root: no
 
 Package: openfoam
 Architecture: any
