=== debian/tests/control ===
Tests: icoFoamCavity icoFoamElbow moveDynamic boundaryFoam
Depends: openfoam
