=== debian/watch ===
version=4

opts=\
dversionmangle=auto,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/

https://develop.openfoam.com/Development/openfoam/tags \
  .*/openfoam-OpenFOAM-v(\d[._\d]*\d)@ARCHIVE_EXT@ \
  debian
